Bug 174997 - Installer fails in graphical mode because of video card support and fails hard when trying to write to disk drives
Installer fails in graphical mode because of video card support and fails har...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
http://www.cs.berkeley.edu/~ushankar/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-05 12:21 EST by Todd A. Fisher
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 12:38:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd A. Fisher 2005-12-05 12:21:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
The issues are described here: http://www.cs.berkeley.edu/~ushankar/linux-dell.html



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install in text mode to get past video card issues
2. choose auto partition
3. install everything
4. crash on line 1160 in anaconda
  

Additional info:
Comment 1 David Cantrell 2005-12-05 14:05:59 EST
I read the page you provided a link for and it sounds very similar to a SATA
problem I had on a Dell GX system a few months ago.

Are you running with the SATA adapter in combined mode or compatibility mode? 
My solution was to put the SATA adapter in SATA-only mode and leave the PATA
stuff enabled.  Pre-FC4, I could leave the SATA adapter in combined/compatible
mode and everything worked fine.

Aside from that, I need to see some log output for Anaconda to determine where
that's failing.  Also, are you using the Fedora kernel or have you replaced that
with your own?  Your page isn't too clear on that.
Comment 2 Todd A. Fisher 2005-12-05 14:57:06 EST
Working on the log data for you... I found success in plan text mode install and
leaving the SATA adapter in normal mode (not combined mode).   
Comment 3 Dave Jones 2005-12-12 18:45:50 EST
SATA ATAPI support finally works in a supportable manner in 2.6.15, so it will
be in FC5.  As we don't respin the ISOs after release, FC4 update kernels aren't
going to solve the problem during installation.

There's no other kernel related bug here afaics for FC4, so reassigning to xorg.
Comment 4 Mike A. Harris 2006-06-27 12:38:28 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.